## org.jfree.chart.renderer.category
Class CategoryItemRendererState

    java.lang.Object
      org.jfree.chart.renderer.RendererState
          org.jfree.chart.renderer.category.CategoryItemRendererState

    public class CategoryItemRendererState

extends RendererState

An object that retains temporary state information for a `CategoryItemRenderer`.

Constructor Summary
`CategoryItemRendererState(PlotRenderingInfo info)` Creates a new object for recording temporary state information for a renderer.

Method Summary
`double` `getBarWidth()` Returns the bar width.
`double` `getSeriesRunningTotal()` Returns the series running total.
`void` `setBarWidth(double width)` Sets the bar width.

Methods inherited from class org.jfree.chart.renderer.RendererState
`getInfo`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CategoryItemRendererState

    public CategoryItemRendererState(PlotRenderingInfo info)

  Creates a new object for recording temporary state information for a renderer.

  Parameters:
    `info` - the plot rendering info.

Method Detail

### getBarWidth

    public double getBarWidth()

  Returns the bar width.

  Returns:
    The bar width.

### setBarWidth

    public void setBarWidth(double width)

  Sets the bar width. The renderer calculates this value and stores it here - it is not intended that users can manually set the bar width.

  Parameters:
    `width` - the width.

### getSeriesRunningTotal

    public double getSeriesRunningTotal()

  Returns the series running total.

  Returns:
    The running total.